Bug 1497564 - QXcbConnection: XCB error: 2 (BadValue), sequence: 34905, resource id: 16777232, major code: 141 (Unknown), minor code: 3
Summary: QXcbConnection: XCB error: 2 (BadValue), sequence: 34905, resource id: 167772...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 28
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-01 22:11 UTC by Dominik Kucher
Modified: 2019-05-28 23:51 UTC (History)
15 users (show)

Fixed In Version: qt5-qtbase-5.9.2-5.fc27 qt5-qtbase-5.9.2-5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:51:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 366421 NOR RESOLVED kwin_x11: QXcbConnection: XCB error: 9 2020-03-13 14:26:09 UTC
Qt Bug Tracker QTBUG-55167 None None None 2017-11-08 19:39:56 UTC

Internal Links: 1655961

Description Dominik Kucher 2017-10-01 22:11:03 UTC
can anyone fix the bug or have a solution for me? 

Okt 02 00:07:02 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 47744, resource id: 98622659, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:02 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 47748, resource id: 104857605, major code: 141 (Unknown), minor code: 3                               
Okt 02 00:07:02 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 47749, resource id: 104857605, major code: 141 (Unknown), minor code: 3                               
Okt 02 00:07:02 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 47750, resource id: 104857605, major code: 141 (Unknown), minor code: 3                               
Okt 02 00:07:02 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 47751, resource id: 98566356, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:03 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 48224, resource id: 98566356, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:03 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 48225, resource id: 98622659, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:03 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 48406, resource id: 98566356, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:03 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 48477, resource id: 98622659, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:05 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 48746, resource id: 98566356, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:05 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 49211, resource id: 98566356, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:05 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 49212, resource id: 98622659, major code: 141 (Unknown), minor code: 3                                
Okt 02 00:07:05 srv.home plasmashell[5081]: QXcbConnection: XCB error: 2 (BadValue), sequence: 49216, resource id: 98566356, major code: 141 (Unknown), minor code: 3

Comment 1 Brian Kaye 2017-11-07 14:11:47 UTC
I also am seeing these errors. There are many hundreds of them in any one session.

Comment 2 Dominik Kucher 2017-11-08 18:57:13 UTC
yes, but can anyone fix these problem or can you send me a solution? 
i have the same error on 2 server and on one desktop computer and it makes me sick when the error comes between when i debug systemd errors with 'journalctl -xe'

Comment 3 Rex Dieter 2017-11-08 19:36:05 UTC
In my experience and in practice, the last time I looked into this, 
* kde upstream largely said these are mostly harmless
* ...but necessary for debugging other issues

Personally, I didn't like the answer, but can understand the reasoning.

Worst case, we (fedora) could consider turning these messages into debug messsages (which are disabled by default).  I don't think it's bad enough to actually do that yet.

Comment 4 Rex Dieter 2017-11-08 19:39:57 UTC
Ideally, if upstream implemented,
https://bugreports.qt.io/browse/QTBUG-55167

Then it would be easy to disable these at runtime (without patching).

Comment 5 Rex Dieter 2017-11-08 19:41:33 UTC
Per http://bugs.kde.org/show_bug.cgi?id=366421 , we consider this an upstream issue in Qt hands.

Comment 6 Dominik Kucher 2017-11-09 14:09:28 UTC
Thanks, with the ini file the problem is solved

[root@srv:~]$ cat /etc/xdg/QtProject/qtlogging.ini 
[Rules]
qt.qpa.xcb.xcberror=false

Comment 7 Rex Dieter 2017-11-09 14:23:39 UTC
That's interesting, the log output in question isn't using Categorized logging, so I wouldn't have expected any qtlogging.ini rules to make any difference.

How did you figure out to use 'qt.qpa.xcb.xcberror=false' ?

Comment 8 Rex Dieter 2017-11-09 14:30:38 UTC
Oh, the upstream bug references that *plus* a required patch that implements it.

Comment 9 Rex Dieter 2017-11-09 14:32:32 UTC
I think I like that proposed patch, we can consider including it.

Comment 10 Dominik Kucher 2017-11-09 15:13:47 UTC
yes i need the patch! I try to rebuild qt5-qtbase with the patch and give you a feedback, when it solved my problem

Nov 09 16:11:42 srv.home kwin_x11[4097]: QXcbConnection: XCB error: 3 (BadWindow), sequence: 43106, resource id: 94372524, major code: 18 (ChangeProperty), minor code: 0
Nov 09 16:11:43 srv.home plasmashell[4105]: QXcbConnection: XCB error: 2 (BadValue), sequence: 44672, resource id: 117440517, major code: 141 (Unknown), minor code: 3
Nov 09 16:11:43 srv.home plasmashell[4105]: QXcbConnection: XCB error: 2 (BadValue), sequence: 44679, resource id: 102760464, major code: 141 (Unknown), minor code: 3
Nov 09 16:11:49 srv.home plasmashell[4105]: QXcbConnection: XCB error: 2 (BadValue), sequence: 45193, resource id: 117440517, major code: 141 (Unknown), minor code: 3

Comment 12 Dominik Kucher 2017-11-09 18:11:03 UTC
i have downloaded all rpms and pushd it to my local repository but it requires qt5-qtbase-common and it not exist 

[root@srv:~]$ yum update
Letzte Prüfung auf abgelaufene Metadaten: vor 0:24:46 am Don 09 Nov 2017 18:42:49 CET.
Abhängigkeiten sind aufgelöst.

 Problem 1: cannot install the best update candidate for package qt5-qtbase-5.7.1-19.fc26.x86_64
  - nothing provides qt5-qtbase-common = 5.9.2-5.fc26 needed by qt5-qtbase-5.9.2-5.fc26.x86_64
 Problem 2: package qt5-qtbase-mysql-5.9.2-5.fc26.x86_64 requires libQt5Core.so.5(Qt_5.9)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package qt5-qtbase-mysql-5.7.1-19.fc26.x86_64
  - nothing provides qt5-qtbase-common = 5.9.2-5.fc26 needed by qt5-qtbase-5.9.2-5.fc26.x86_64
 Problem 3: package qt5-qtbase-gui-5.9.2-5.fc26.x86_64 requires libQt5Core.so.5(Qt_5.9)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package qt5-qtbase-gui-5.7.1-19.fc26.x86_64
  - nothing provides qt5-qtbase-common = 5.9.2-5.fc26 needed by qt5-qtbase-5.9.2-5.fc26.x86_64
 Problem 4: package qt5-qtbase-devel-5.9.2-5.fc26.x86_64 requires libQt5Core.so.5(Qt_5.9)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package qt5-qtbase-devel-5.7.1-19.fc26.x86_64
  - nothing provides qt5-qtbase-common = 5.9.2-5.fc26 needed by qt5-qtbase-5.9.2-5.fc26.x86_64
=====================================================================================================================================================================================================
 Paket                                              Arch                                     Version                                          Paketquelle                                      Größe
=====================================================================================================================================================================================================
Skipping packages with broken dependencies:
 qt5-qtbase                                         x86_64                                   5.9.2-5.fc26                                     dksoft-updates                                   3.4 M
 qt5-qtbase-devel                                   x86_64                                   5.9.2-5.fc26                                     dksoft-updates                                   3.9 M
 qt5-qtbase-gui                                     x86_64                                   5.9.2-5.fc26                                     dksoft-updates                                   5.1 M
 qt5-qtbase-mysql                                   x86_64                                   5.9.2-5.fc26                                     dksoft-updates                                    63 k

Transaktionsübersicht
=====================================================================================================================================================================================================
Überspringen  4 Pakete

Nichts zu tun.
Fertig.

Comment 13 Dominik Kucher 2017-11-09 18:18:53 UTC
with my metapackage it works 

%global dist    fc26
Name:           qt5-qtbase-common
Version:        5.9.2
Release:        5%{?dist}
Summary:        metapackage to hacks qt5-qtbase installation
URL:            http://localhost/
License:        Dominik Kucher
Provides:       libQt5Core.so.5(Qt_5.9)(64bit)

%description
metapackage to hacks qt5-qt5base installation

%install
echo "metapackge"

%files

Comment 14 Rex Dieter 2017-11-09 18:38:47 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=997319

qt5-qtbase-common is in the noarch section

Comment 15 Dominik Kucher 2017-11-09 22:22:37 UTC
i have installed qt5-qtbase from koji but when i reboot the system, my graphical surface with plasma not starts, i must downgrade to 5.7.1 then it starts normal, the error is on 2 server 
can you please test it and build a new version without the problem?

Comment 16 Rex Dieter 2017-11-09 22:25:04 UTC
Indeed, f26 requires existing qt-5.9.2 update currently in updates-testing:
https://bodhi.fedoraproject.org/updates/FEDORA-2017-c133443edc

Once that goes stable, I'll submit this formally.

Comment 17 Fedora Update System 2017-11-13 15:38:29 UTC
qt5-qtbase-5.9.2-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-454f9f1251

Comment 18 Fedora Update System 2017-11-13 15:39:57 UTC
qt5-qtbase-5.9.2-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-928612cbf8

Comment 19 Fedora Update System 2017-11-14 04:09:51 UTC
qt5-qtbase-5.9.2-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-928612cbf8

Comment 20 Fedora Update System 2017-11-14 10:58:23 UTC
qt5-qtbase-5.9.2-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-454f9f1251

Comment 21 Fedora Update System 2017-11-21 23:31:07 UTC
qt5-qtbase-5.9.2-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Brian Kaye 2017-11-21 23:35:08 UTC
Is there a Fedora 26 version of this fix?

Comment 23 Fedora Update System 2017-11-28 16:20:38 UTC
qt5-qtbase-5.9.2-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 frederic.dorazio 2018-09-18 12:41:04 UTC
Bug still present on fedora 28 (uptodate) :

[root@hostname ~]# rpm -qa |grep -i qt5-qtbase
qt5-qtbase-5.11.1-7.fc28.x86_64
qt5-qtbase-mysql-5.11.1-7.fc28.x86_64
qt5-qtbase-gui-5.11.1-7.fc28.x86_64
qt5-qtbase-common-5.11.1-7.fc28.noarc

extract from the file /var/log/messages :


Sep 18 14:33:53 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19962, resource id: 106954754, major code: 141 (Unknown), minor code: 3
Sep 18 14:33:57 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 20058, resource id: 123731975, major code: 141 (Unknown), minor code: 3
Sep 18 14:34:00 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 20169, resource id: 119537681, major code: 141 (Unknown), minor code: 3
Sep 18 14:34:00 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 20173, resource id: 125829126, major code: 141 (Unknown), minor code: 3
Sep 18 14:34:10 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 20235, resource id: 119537681, major code: 141 (Unknown), minor code: 3
Sep 18 14:34:15 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 20788, resource id: 125829126, major code: 141 (Unknown), minor code: 3
Sep 18 14:34:15 hostname plasmashell[2390]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 20800, resource id: 119537681, major code: 141 (Unknown), minor code: 3




Can you help me?
My PC has no sound with the s/pdif output.

Thank you very much.

Comment 25 Sergio Basto 2018-12-17 21:24:51 UTC
(In reply to frederic.dorazio from comment #24)
> Bug still present on fedora 28 (uptodate) :


for me too 

rpm -qa |grep -i qt5-qtbase
qt5-qtbase-gui-5.11.1-7.fc28.x86_64
qt5-qtbase-mysql-5.11.1-7.fc28.x86_64
qt5-qtbase-common-5.11.1-7.fc28.noarch
qt5-qtbase-postgresql-5.11.1-7.fc28.x86_64
qt5-qtbase-5.11.1-7.fc28.x86_64

cat /usr/share/qt5/qtlogging.ini
[Rules]
*.debug=false
qt.qpa.xcb.xcberror.warning=false

Comment 26 Sergio Basto 2018-12-20 17:39:53 UTC
cat /usr/share/qt5/qtlogging.ini

[Rules]
*.debug=false
qt.qpa.xcb.xcberror.warning=false
qt.qpa.xcb.xcberror.error=false
qt.qpa.xcb.warning=false
qt.qpa.xcb.error=false
qt.qpa.xcb=false


and fixed again

Comment 27 raptor 2018-12-29 20:28:57 UTC
I also am getting the same error on Fedora28 with Qt5, when trying to xembed an external window into my QT app, the embedding may or may not work, and if it fails it will then start printing:

qt.qpa.xcb: QXcbConnection: XCB error: 8 (BadMatch), sequence: 45085, resource id: 44048879, major code: 130 (Unknown), minor code: 3

Comment 28 Brian Kaye 2018-12-29 21:06:27 UTC
Same error in Fedora 29

kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 5286, resource id: 10485765, major code: 18 (ChangeProperty), minor code: 0

kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 6338, resource id: 2097186, major code: 18 (ChangeProperty), minor code: 0

kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 6338, resource id: 2097186, major code: 18 (ChangeProperty), minor code: 0

plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 3036, resource id: 46137351, major code: 141 (Unknown), minor code: 3

kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19643, resource id: 25167346, major code: 2 (ChangeWindowAttributes), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19672, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19682, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19683, resource id: 100663302, major code: 18 (ChangeProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19684, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19685, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19686, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19687, resource id: 100663302, major code: 7 (ReparentWindow), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19688, resource id: 100663302, major code: 6 (ChangeSaveSet), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19689, resource id: 100663302, major code: 2 (ChangeWindowAttributes), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19690, resource id: 100663302, major code: 10 (UnmapWindow), minor code: 0
plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 3866, resource id: 56623110, major code: 141 (Unknown), minor code: 3
plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 3867, resource id: 58720262, major code: 141 (Unknown), minor code: 3
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 19802, resource id: 100663317, major code: 18 (ChangeProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 20686, resource id: 100663296, major code: 18 (ChangeProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 20690, resource id: 100663297, major code: 18 (ChangeProperty), minor code: 0
plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 4092, resource id: 56623110, major code: 141 (Unknown), minor code: 3
plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 4105, resource id: 56623110, major code: 141 (Unknown), minor code: 3
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21814, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21824, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21825, resource id: 100663302, major code: 18 (ChangeProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21826, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21827, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21828, resource id: 100663302, major code: 19 (DeleteProperty), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21829, resource id: 100663302, major code: 7 (ReparentWindow), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21830, resource id: 100663302, major code: 6 (ChangeSaveSet), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21831, resource id: 100663302, major code: 2 (ChangeWindowAttributes), minor code: 0
kwin_x11[1378]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 21832, resource id: 100663302, major code: 10 (UnmapWindow), minor code: 0
plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 4203, resource id: 56623110, major code: 141 (Unknown), minor code: 3
plasmashell[1382]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 4204, resource id: 58720262, major code: 141 (Unknown), minor code: 3


+hundreds more over a few days

Comment 29 Robin Laing 2019-02-10 00:02:02 UTC
I have followed the links and commented up to the QT bug page but for someone looking at this, it may be useful.

I can generate as many of these errors as I wish by just moving my mouse between two different items on my task manager on the screen tool bar.


qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 41677, resource id: 60817465, major code: 141 (Unknown), minor code: 3
qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 41698, resource id: 58720263, major code: 141 (Unknown), minor code: 3
qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 41719, resource id: 60817465, major code: 141 (Unknown), minor code: 3
qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 41747, resource id: 58720263, major code: 141 (Unknown), minor code: 3

sequence changes but the resource ID remains the same.

Comment 30 Sergio Basto 2019-02-10 21:53:51 UTC
edit /usr/share/qt5/qtlogging.ini (as root) and add [1] works for me 


[1]
qt.qpa.xcb.xcberror.error=false
qt.qpa.xcb.warning=false
qt.qpa.xcb.error=false

Comment 31 Robin Laing 2019-02-22 06:40:51 UTC
(In reply to Sergio Monteiro Basto from comment #30)
> edit /usr/share/qt5/qtlogging.ini (as root) and add [1] works for me 
> 
> 
> [1]
> qt.qpa.xcb.xcberror.error=false
> qt.qpa.xcb.warning=false
> qt.qpa.xcb.error=false

Yes, this does hide the error messages, just doesn't fix the problem though.

Comment 32 Rex Dieter 2019-02-22 13:33:41 UTC
I thought the abundance of verbose logging *was* the problem?

Comment 33 Sergio Basto 2019-02-23 00:05:47 UTC
(In reply to Rex Dieter from comment #32)
> I thought the abundance of verbose logging *was* the problem?

Well "QXcbConnection: XCB error: 2 (BadValue)!" seems a problem , but indeed the upstream fix is hide the problem . 

So What means "QXcbConnection: XCB error: 2 (BadValue)!" ? It is a problem or just an annoying warning ?

Comment 34 Robin Laing 2019-02-23 01:36:58 UTC
It is a problem and if not fixed now, could lead to bigger problems in the future.  We have read enough news reports about unfixed problems that become critical holes.

In the ideal world, there should never be an error message in our log files.  Maybe an odd warning.


Who knows, maybe this is the tip of a major problem already.

Why I posted my comment on how easy it was to create the error message.

Comment 35 Rex Dieter 2019-02-23 03:20:39 UTC
I've been told these messages are primarily only useful to developers to help debug issues.

For users, not so much

Comment 36 Pupkur 2019-03-07 05:47:15 UTC
Linux <HOSTNAME> 4.20.13-200.fc29.x86_64 #1 SMP Wed Feb 27 19:42:55 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux hangs unexpectedly
Last log entries 

march 06 17:50:06 <HOSTNAME> plasmashell[8734]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19773, resource id: 155189254, major code: 141 (Unknown), minor code: 3
march 06 17:50:06 <HOSTNAME> plasmashell[8734]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19781, resource id: 169869313, major code: 141 (Unknown), minor code: 3
march 06 17:50:06 <HOSTNAME> plasmashell[8734]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19810, resource id: 184550068, major code: 141 (Unknown), minor code: 3
march 06 17:50:06 <HOSTNAME> plasmashell[8734]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19820, resource id: 169869313, major code: 141 (Unknown), minor code: 3
march 06 17:50:06 <HOSTNAME> plasmashell[8734]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19844, resource id: 155189254, major code: 141 (Unknown), minor code: 3
march 06 17:50:07 <HOSTNAME> plasmashell[8734]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 19869, resource id: 77594625, major code: 141 (Unknown), minor code: 3

Comment 37 Levy Sant'Anna 2019-03-31 04:09:47 UTC
I fixed the first one disabling Tootltips in KDE System Settings.

My plasmashell is showing the error in the QML file and line, so I opened the file and found a UI window resource called Tooltip, after I disabled it I stopped to receive those errors related to Tooltips.

Mar 31 00:33:43 super plasmashell[2172]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:342: Unable to assign [undefined] to int
Mar 31 00:33:43 super plasmashell[2172]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:342: Unable to assign [undefined] to int
Mar 31 00:33:43 super plasmashell[2172]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 15249, resource id: 123732004, major code: 141 (Unknown), minor code: 3
Mar 31 00:33:43 super plasmashell[2172]: qt.qpa.xcb: QXcbConnection: XCB error: 2 (BadValue), sequence: 15290, resource id: 67108870, major code: 141 (Unknown), minor code: 3


Now I'm receiving errors from something called NotificationDelegate, which seems pretty difficult to disable :\

Looks like the bugs are unresolved from the Qt perspective.

Comment 38 Ben Cotton 2019-05-02 19:44:22 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 39 Ben Cotton 2019-05-28 23:51:53 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.